cURL
curl --request PATCH \ --url https://v1.api.flux-os.com/contracts/{id}/pricing-provisions/{pricing_provision_id} \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --header 'x-user-id: <api-key>' \ --data ' { "type": "<unknown>", "fee": "<unknown>", "description": null } '
{ "id": "<string>", "description": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "groups": [ { "id": "<string>", "parent_group": null, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "conditions": [ { "value": 123, "id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] } ] }
Update an existing pricing provision by ID.
The contract ID.
The pricing provision ID.
Pricing provision updated.
Show child attributes